Bug 847262 - no "no quota set" in the edit box of VMs, templates and Disks
no "no quota set" in the edit box of VMs, templates and Disks
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.1 RC
Unspecified All
unspecified Severity unspecified
: ---
: 3.2
Assigned To: Gilad Chaplik
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 06:30 EDT by Laszlo Hornyak
Modified: 2013-09-30 19:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 01:47:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laszlo Hornyak 2012-08-10 06:30:11 EDT
Description of problem:
When you have a VM/template in a domain, and you set the quota mode to enforced, in the edit box the quota will be displayed as already set, while it is not. This is misleading for the users, you actually have to save the VM here to apply the quota. You have to do this for each VM's.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. create a DC
2. create VM's
3. create a quota in DC
4. set quota mode to enforced
5. edit a vm
  
Actual results:
you will see the quota set in the vm, while in the database 'SELECT vm_name, quota_id from vms ;' shows a null column.

Expected results:
an empty line in the quota dropdown box maybe

Additional info:
Comment 1 Gilad Chaplik 2012-09-05 05:17:03 EDT
I think that I've fixed that a long other quota bugs, moving bug status to MODIFIED
Comment 2 Laszlo Hornyak 2013-01-14 09:29:57 EST
verified. can we just close this?
Comment 3 Itamar Heim 2013-01-14 10:32:33 EST
all modified bugs will be moved to ON_QA on ovirt 3.1 beta launch, then to closed on GA.
Comment 4 Itamar Heim 2013-01-16 11:10:32 EST
3.2 beta built, moving to ON_QA status to allow testing

Note You need to log in before you can comment on or make changes to this bug.